//

bonusVarianrRU =

     if (!this.Error)                    bonus = 5;
     else if (this.Error < 2*this.Num/5) bonus = 4;
     else if (this.Error < this.Num/2)   bonus = 3;
     else                                bonus = 2;

     if (!this.Error)                    bonus = 5;
     else if (this.Error < 3*this.Num/5) bonus = 4;
     else if (this.Error < this.Num)     bonus = 3;
     else                                bonus = 2;



